<?php
$response = $this->response;

if (!$response->success) {
	?>
	<h1>Chyba při načítání zprávy</h1>
	<p>
		Chybová hláška: <strong><?php echo $response->status; ?></strong>
	</p>
	<p>
		Chybový kód: <strong><?php echo $response->statusCode; ?></strong>
	</p>
	<?php 
	return;
}

//vyhodnoceni akce
$sended = $response["sended"];

if ($sended->sended_at == "0000-00-00 00:00:00") {
	//zprava byla odeslana, provede se vytvoreni nove zpravy
	$action = "/sended/put/" . $sended->id . ".html";
	$isSended = false;
} else {
	$action = "/sended/post/.html";
	$isSended = true;
}
?>
<h1>Zobrazení/editace zprávy</h1>
<p>
	Číslo zprávy: <strong><?php echo $sended->id; ?></strong>
</p>
<p>
	Datum a čas vytvoření: <strong><?php echo $sended->created_at; ?></strong>
</p>
<p>
	Datum a čas odeslání: <strong><?php echo $sended->sended_at; ?></strong>
</p>
<form action="<?php echo $action; ?>" method="post">
	<p>
		Příjemci: <?php echo $this->formText("sended[targets]", $sended->targets); ?>
	</p>
	<p>
		Předmět: <?php echo $this->formText("sended[subject]", $sended->subject); ?>
	</p>
	<p>
		Obsah zprávy: <br />
		<?php echo $this->formTextarea("sended[content]", $sended->content); ?>
	</p>
	<p>
		Odeslat zprávu: <input type="checkbox" name="send" value="1" />
	</p>
	<p>
	<?php 
	if ($isSended) {
		echo $this->formSubmit("submit", "Odeslat/uložit jako novou zprávu");
	} else {
		echo $this->formSubmit("submit", "Odeslat/uložit");
	}
	?>
	</p>
</form>
Na seznam odeslaných zpráv se dostanete <a href="/sended/get/list.html">tudy</a>